org.apache.solr.core

## Class RequestParams

- java.lang.Object
- - org.apache.solr.core.RequestParams

- All Implemented Interfaces:
    MapSerializable

      public class RequestParams
      extends Object
      implements MapSerializable

  The class encapsulates the request time parameters . This is immutable and any changes performed returns a copy of the Object with the changed values

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequestParams.ParamSet`
    `static class` | `RequestParams.VersionedParams`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPENDS`
    `static String` | `INVARIANTS`
    `static String` | `NAME`
    `static String` | `RESOURCE`
    `static String` | `USEPARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestParams(Map data, int znodeVersion)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParams.ParamSet` | `createParamSet(Map map, Long version)`
    `static RequestParams` | `getFreshRequestParams(SolrResourceLoader loader, RequestParams requestParams)`
    `static Map<String,Object>` | `getMapWithVersion(Map<String,Object> data, int znodeVersion)`
    `RequestParams.ParamSet` | `getParams(String name)`
    `RequestParams.VersionedParams` | `getParams(String name, String type)`
    `int` | `getZnodeVersion()`
    `RequestParams` | `setParams(String name, RequestParams.ParamSet paramSet)`
    `byte[]` | `toByteArray()`
    `Map<String,Object>` | `toMap(Map<String,Object> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USEPARAM

          public static final String USEPARAM

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### RESOURCE

          public static final String RESOURCE

      See Also:
        Constant Field Values

    - #### APPENDS

          public static final String APPENDS

      See Also:
        Constant Field Values

    - #### INVARIANTS

          public static final String INVARIANTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequestParams

          public RequestParams(Map data,
                               int znodeVersion)

  - ### Method Detail

    - #### createParamSet

          public static RequestParams.ParamSet createParamSet(Map map,
                                                              Long version)

    - #### getParams

          public RequestParams.ParamSet getParams(String name)

    - #### getParams

          public RequestParams.VersionedParams getParams(String name,
                                                         String type)

    - #### getZnodeVersion

          public int getZnodeVersion()

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

    - #### getMapWithVersion

          public static Map<String,Object> getMapWithVersion(Map<String,Object> data,
                                                             int znodeVersion)

    - #### setParams

          public RequestParams setParams(String name,
                                         RequestParams.ParamSet paramSet)

    - #### getFreshRequestParams

          public static RequestParams getFreshRequestParams(SolrResourceLoader loader,
                                                            RequestParams requestParams)

    - #### toByteArray

          public byte[] toByteArray()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.